      program ReadDisplay
      
      Implicit real (a-h,o-z)
      integer n,m,unt,l
      Dimension a(50,50), b(50)
      open (unit=8,file="matrixVector.dat",status="unknown")

      read (8,*) n,m
      unt=8
      call readmatrix(a,n,m,unt)
c   vector
      read (8,*) l
      read (8,*)  (b(j),j=1,l) 
      call displaymatrix(a,n,m)
      write(*,*) '& Vector:'
      write (6,100) (b(j),j=1,l)
 100  Format (5(2x,f10.5))
      close(8)
      end program
